Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.OnMultiple<Next>

Type Parameters:
  `Next` - The interface that is to be returned when the request is completed

All Superinterfaces:
  Graph.On<Next>

Enclosing class:
  Graph

    public static interface Graph.OnMultiple<Next>

extends Graph.On<Next>

The interface for defining the node upon which a request operates, including a method that accepts multiple locations.

Method Summary
`Map<Location,Next>` | `on(Collection<Location> to)` Specify the location of each node upon which the requests are to operate.
`Map<Location,Next>` | `on(Location firstTo, Location... additional)` Specify the location of each node upon which the requests are to operate.
`Map<Location,Next>` | `on(Path firstPath, Path... additional)` Specify the path of each node upon which the requests are to operate.
`Map<Location,Next>` | `on(String firstPath, String... additional)` Specify the path of each node upon which the requests are to operate.
`Map<Location,Next>` | `on(UUID firstPath, UUID... additional)` Specify the UUID of each node upon which the requests are to operate.

Methods inherited from interface org.modeshape.graph.Graph.On
`on, on, on, on, on, on, on`

Method Detail

### on

    Map<Location,Next> on(Collection<Location> to)

  Specify the location of each node upon which the requests are to operate.

  Parameters:
    `to` - the locations
  Returns:
    the interface for additional requests or actions

### on

    Map<Location,Next> on(Location firstTo,
                          Location... additional)

  Specify the location of each node upon which the requests are to operate.

  Parameters:
    `firstTo` - the first location
    `additional` - the additional location
  Returns:
    the interface for additional requests or actions

### on

    Map<Location,Next> on(String firstPath,
                          String... additional)

  Specify the path of each node upon which the requests are to operate.

  Parameters:
    `firstPath` - the first path
    `additional` - the additional path
  Returns:
    the interface for additional requests or actions

### on

    Map<Location,Next> on(Path firstPath,
                          Path... additional)

  Specify the path of each node upon which the requests are to operate.

  Parameters:
    `firstPath` - the first path
    `additional` - the additional path
  Returns:
    the interface for additional requests or actions

### on

    Map<Location,Next> on(UUID firstPath,
                          UUID... additional)

  Specify the UUID of each node upon which the requests are to operate.

  Parameters:
    `firstPath` - the first UUID of the node
    `additional` - the additional UUIDs
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.